| Generic TI varname to filename transcoding

### ticonv_utf16_to_gfe

char* TICALL ticonv_utf16_to_gfe(CalcModel model, const unsigned short *src)

This function converts a varname into a valid filename (depends on locale). Example: 'foobar' => foobar, 'alpha' => _alpha_.

model : | a calculator model taken in #CalcModel.
src : | the name of variable to convert from UTF-16
Return value : | %dst as a newly allocated string or NULL if error.

### ticonv_gfe_free

g_free(src);

This function frees a gfe previously allocated by ticonv_utf16_to_gfe(). /

src : | previously allocated gfe string to be freed.
Return value : |

### ticonv_gfe_to_zfe

char* TICALL ticonv_gfe_to_zfe(CalcModel model, const char *src_)

This function converts a locale dependent filename into a valid ZIP filename. Example: 'foobar' => foobar, 'alpha' => _alpha_.

model : | a calculator model taken in #CalcModel.
src : | the name of variable to convert from GLib filename encoding
Return value : | %dst as a newly allocated string.

### ticonv_gfe_free

g_free(src);

This function frees a zfe previously allocated by ticonv_gfe_to_zfe(). /

src : | previously allocated zfe string to be freed.
Return value : |

### ticonv_environment_is_utf8

int TICALL ticonv_environment_is_utf8(void)

This function returns whether the current locale uses an UTF-8 charset.

Return value : | TRUE when the current locale uses an UTF-8 charset, FALSE otherwise.

### ticonv_environment_has_utf8_filenames

int TICALL ticonv_environment_has_utf8_filenames(void)

This function returns whether the filename charset is UTF-8.

Return value : | TRUE when the filename charset is UTF-8, FALSE otherwise.

### Return to the main index